remove user.md
Remove user
Management API · User Management
DELETE https://app.mk.io/api/v1/organization/users/{user_id}
This endpoint allows you to remove a user's access to your organization in MK.IO.
Removing the user will remove the user from all teams in the organization.
If the user is registered in the SSO provider for this organization and logs in again they will be re-added to the organization but any specific team memberships will not be re-created.
RBAC Capability Required: core.user.remove
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
user_id |
string | Yes | format: uuid |
Example request
curl -X DELETE "https://app.mk.io/api/v1/organization/users/{user_id}" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [delete]_/api/v1/organization/users/{user_id}